## IdeTest IdeTest |

## Functions

IdeTest * | ide_test_new ()
const gchar * | ide_test_get_display_name ()
void | ide_test_set_display_name ()
const gchar * | ide_test_get_group ()
void | ide_test_set_group ()
const gchar * | ide_test_get_icon_name ()
const gchar * | ide_test_get_id ()
void | ide_test_set_id ()
IdeTestStatus | ide_test_get_status ()
void | ide_test_set_status ()

## Properties

gchar * | display-name | Read / Write
gchar * | group | Read / Write
gchar * | id | Read / Write
IdeTestStatus | status | Read / Write

## Types and Values

#define | IDE_TYPE_TEST
enum | IdeTestStatus
struct | IdeTestClass
| IdeTest

## Object Hierarchy

        GEnum
        ╰── IdeTestStatus
        GObject
        ╰── IdeTest

## Description

## Functions

### ide_test_new ()

    IdeTest *
    ide_test_new (void);

### ide_test_get_display_name ()

    const gchar *
    ide_test_get_display_name (IdeTest *self);

Gets the "display-name" property of the test.

#### Parameters

self | An IdeTest |

#### Returns

The display_name of the test or `NULL`.

[nullable]

Since: 3.32

### ide_test_set_display_name ()

    void
    ide_test_set_display_name (IdeTest *self,
                               const gchar *display_name);

Sets the "display-name" property of the unit test.

#### Parameters

self | An IdeTest |
display_name | The display_name of the test, or `NULL` to unset. | [nullable]

Since: 3.32

### ide_test_get_group ()

    const gchar *
    ide_test_get_group (IdeTest *self);

Gets the "group" property.

The group name is used to group tests together.

#### Parameters

self | a IdeTest |

#### Returns

The group name or `NULL`.

[nullable]

Since: 3.32

### ide_test_set_group ()

    void
    ide_test_set_group (IdeTest *self,
                        const gchar *group);

Sets the “group” property.

The group property is used to group related tests together.

#### Parameters

self | a IdeTest |
group | the name of the group or `NULL`. | [nullable]

Since: 3.32

### ide_test_get_icon_name ()

    const gchar *
    ide_test_get_icon_name (IdeTest *self);

### ide_test_get_id ()

    const gchar *
    ide_test_get_id (IdeTest *self);

Gets the “id” property.

#### Parameters

self | a IdeTest |

#### Returns

The id of the test, or `NULL` if it has not been set.

[nullable]

Since: 3.32

### ide_test_set_id ()

    void
    ide_test_set_id (IdeTest *self,
                     const gchar *id);

Sets the “id” property.

The id property is used to uniquely identify the test.

#### Parameters

self | a IdeTest |
id | the id of the test or `NULL`. | [nullable]

Since: 3.32

### ide_test_get_status ()

    IdeTestStatus
    ide_test_get_status (IdeTest *self);

### ide_test_set_status ()

    void
    ide_test_set_status (IdeTest *self,
                         IdeTestStatus status);

## Types and Values

### IDE_TYPE_TEST

    #define IDE_TYPE_TEST (ide_test_get_type())

### enum IdeTestStatus

#### Members

IDE_TEST_STATUS_NONE |  |
IDE_TEST_STATUS_RUNNING |  |
IDE_TEST_STATUS_SUCCESS |  |
IDE_TEST_STATUS_FAILED |  |

### struct IdeTestClass

    struct IdeTestClass {
      GObjectClass parent;
    };

### IdeTest

    typedef struct _IdeTest IdeTest;

## Property Details

### The `“display-name”` property

      “display-name”             gchar *

The display_name of the unit test.

Owner: IdeTest

Flags: Read / Write

Default value: NULL

### The `“group”` property

      “group”                    gchar *

The "group" property contains the name of the gruop the test belongs to, if any.

Owner: IdeTest

Flags: Read / Write

Default value: NULL

Since: 3.32

### The `“id”` property

      “id”                       gchar *

The "id" property contains the unique identifier of the test.

Owner: IdeTest

Flags: Read / Write

Default value: NULL

Since: 3.32

### The `“status”` property

      “status”                   IdeTestStatus

The status of the test.

Owner: IdeTest

Flags: Read / Write

Default value: IDE_TEST_STATUS_NONE